# class Psych::ClassLoader::Restricted

### Public Class Methods

new(classes, symbols) click to toggle source
Calls superclass method

    # File lib/psych/class_loader.rb, line 75
    def initialize classes, symbols
      @classes = classes
      @symbols = symbols
      super()
    end

### Public Instance Methods

symbolize(sym) click to toggle source
Calls superclass method

    # File lib/psych/class_loader.rb, line 81
    def symbolize sym
      return super if @symbols.empty?

      if @symbols.include? sym
        super
      else
        raise DisallowedClass, 'Symbol'
      end
    end

### Private Instance Methods

find(klassname) click to toggle source
Calls superclass method

    # File lib/psych/class_loader.rb, line 93
    def find klassname
      if @classes.include? klassname
        super
      else
        raise DisallowedClass, klassname
      end
    end